robotpkg/math/py-pinocchio bulk build results

Log for py27-pinocchio-2.1.3 on NetBSD-8.0-x86_64: configure.log (Back)

--- Environment --- _override_vars_pkgtools_pkg_config=PKGREQD PKGREQD PKGREQD PYTHON=/usr/pkg/bin/python2.7 LC_MONETARY=C _overrides_devel_boost_headers_PKGREQD=boost-headers>=1.34.1 boost-headers>=1.34.1 boost-headers>=1.34.1 _overrides_pkgtools_pkg_install_PKGREQD=pkg_install>=20110805.9 pkg_install>=20110805.9 pkg_install>=20110805.9 CXX=/usr/bin/g++ PAX=/bin/pax MFLAGS=--no-print-directory OS_KERNEL_VERSION=8.0 MAKEFLAGS= --no-print-directory -- PKGREQD.cmdline=py27-pinocchio-2.1.3 RECURSIVE_PKGPATH=math/py-pinocchio\ tag=NetBSD-8.0-x86_64 BULK_LOGDIR=/local/robotpkg/var/log/bulk BULKBASE=/opt/openrobots LOCALBASE=/opt/openrobots PKG_DBDIR=/opt/openrobots/var/db/robotpkg EXPECT_TARGETS=fetch\ install\ package MAKEOVERRIDES=PKGREQD.cmdline=py27-pinocchio-2.1.3 RECURSIVE_PKGPATH=math/py-pinocchio\ tag=NetBSD-8.0-x86_64 BULK_LOGDIR=/local/robotpkg/var/log/bulk BULKBASE=/opt/openrobots LOCALBASE=/opt/openrobots PKG_DBDIR=/opt/openrobots/var/db/robotpkg EXPECT_TARGETS=fetch\ install\ package TAR=/usr/bin/tar GXX=/usr/bin/g++ BULK_LOGDIR=/local/robotpkg/var/log/bulk _override_vars_math_py_eigenpy=PKGREQD PKGREQD PKGREQD PWD=/local/robotpkg/var/lib/robotpkg/math/py-pinocchio _override_vars_devel_tinyxml=PKGREQD PKGREQD PKGREQD LANG=C GZIP_CMD=/usr/bin/gzip _overrides_math_eigen3_PKGREQD=eigen3>=3.0.0 eigen3>=3.0.0 eigen3>=3.0.0 HOME=/ _override_vars_devel_boost_headers=PKGREQD PKGREQD PKGREQD _override_vars_graphics_urdfdom=PKGREQD PKGREQD PKGREQD CMAKE=/usr/pkg/bin/cmake PATH=/sbin:/bin:/usr/sbin:/usr/bin CXXCPP=/usr/bin/g++ -E LC_MESSAGES=C _overrides_archivers_pax_PKGREQD=pax pax PYTHON27_INCLUDE=/usr/pkg/include/python2.7/ _override_vars_pkgtools_pkg_install=PKGREQD PKGREQD PKGREQD MAKELEVEL=4 _override_vars_pkgtools_tnftp=PKGREQD PKGREQD LOWER_OS_VERSION=8.0 hline="$bf======================================================================$rm" ZCAT=/usr/bin/zcat MACHINE_PLATFORM=NetBSD-8.0-x86_64 _overrides_devel_tinyxml_PKGREQD=tinyxml>=2 tinyxml>=2 tinyxml>=2 _override_vars_mapping_octomap=PKGREQD PKGREQD PKGREQD _override_vars_pkgtools_digest=PKGREQD PKGREQD _overrides_graphics_urdfdom_PKGREQD=urdfdom>=0.2.8 urdfdom>=0.2.8 urdfdom>=0.2.8 LC_NUMERIC=C PYTHON27=/usr/pkg/bin/python2.7 OLDPWD=/local/robotpkg/var/lib/robotpkg/image/viman-genom CC=/usr/bin/gcc FC=false _override_vars_math_py_pinocchio=PKGREQD _overrides_pkgtools_tnftp_PKGREQD=tnftp>=20130505~ssl tnftp>=20130505~ssl PKG_CONFIG=/usr/pkg/bin/pkg-config PYTHON_INCLUDE_CONFIG=/usr/pkg/include/python2.7/ tag=NetBSD-8.0-x86_64 OS_KERNEL=NetBSD ROBOTPKG_TRUSTED_ENV=robotpkg LC_CTYPE=C PYTHON27_LIB=/usr/pkg/lib/libpython2.7.so _override_vars_devel_boost_libs=PKGREQD PKGREQD PKGREQD _overrides_path_hpp_fcl_PKGREQD=hpp-fcl>=1.1.1 hpp-fcl>=1.1.1 hpp-fcl>=1.1.1 PYTHONPATH= _override_vars_math_eigen3=PKGREQD PKGREQD PKGREQD _ROBOTPKG_NOW=0812172855 LOWER_ARCH=x86_64 PATCH=/usr/bin/patch OWNER_GID=robots ROBOTPKG_BASE=/local/robotpkg _overrides_devel_boost_libs_PKGREQD=boost-libs>=1.34.1 boost-libs>=1.34.1 boost-libs>=1.34.1 NODENAME=fluffy64-netbsd8 bf= DIGEST=/opt/openrobots/sbin/robotpkg_digest ECHO_N=echo -n OS_VERSION=8.0 EXPECT_TARGETS=fetch install package LC_COLLATE=C PYTHON_INCLUDE=/usr/pkg/include/python2.7/ rm= _overrides_math_pinocchio_PKGREQD=pinocchio>=2.1.2 pinocchio>=2.1.2 pinocchio>=2.1.2 _overrides_mapping_octomap_PKGREQD=octomap>=1.6.0 octomap>=1.6.0 octomap>=1.6.0 _overrides_pkgtools_digest_PKGREQD=digest>=20080510 digest>=20080510 OWNER_UID=rbulk RECURSIVE_PKGPATH=math/py-pinocchio MACHINE_ARCH=x86_64 ROBOTPKG_DIR=/local/robotpkg/var/lib/robotpkg _override_vars_archivers_pax=PKGREQD PKGREQD PYTHON_LIB=/usr/pkg/lib/libpython2.7.so LOWER_OPSYS=netbsd LC_TIME=C _overrides_math_py_eigenpy_PKGREQD=py27-eigenpy>=1.4.1 py27-eigenpy>=1.4.1 py27-eigenpy>=1.4.1 PYTHONDONTWRITEBYTECODE=1 _override_vars_math_pinocchio=PKGREQD PKGREQD PKGREQD TNFTP=/opt/openrobots/sbin/tnftp OPSYS=NetBSD LOCALBASE=/opt/openrobots LOWER_OS_KERNEL=netbsd PKGTOOLS_VERSION=20110805.9 BULKBASE=/opt/openrobots PKG_CONFIG_LIBDIR=/usr/lib/pkgconfig MACHINE_KERNEL=NetBSD-8.0-x86_64 _overrides_pkgtools_pkg_config_PKGREQD=pkg-config>=0.22 pkg-config>=0.22 pkg-config>=0.22 PKG_CONFIG_PATH=/opt/openrobots/lib/pkgconfig:/usr/pkg/lib/pkgconfig GCC=/usr/bin/gcc _overrides_math_py_pinocchio_PKGREQD=py27-pinocchio-2.1.3 PKG_DBDIR=/opt/openrobots/var/db/robotpkg MAKECONF=/opt/robotpkg/etc/robotpkg.conf _override_vars_path_hpp_fcl=PKGREQD PKGREQD PKGREQD CPP=/usr/bin/gcc -E --- Running set -e; \ cd /local/robotpkg/var/tmp/robotpkg/math/py-pinocchio/work/pinocchio-2.1.3 && cd /local/robotpkg/var/tmp/robotpkg/math/py-pinocchio/work/pinocchio-2.1.3 && /usr/bin/env 'CPPFLAGS=-I/usr/pkg/include' 'CFLAGS=-pipe -O3 -DNDEBUG' 'LDFLAGS=-L/usr/pkg/lib -Wl,-rpath,/usr/pkg/lib' 'CXXFLAGS=-pipe -O3 -DNDEBUG' PREFIX='/opt/openrobots' HOME=/local/robotpkg/var/tmp/robotpkg/math/py-pinocchio/work PATH='/opt/openrobots/bin:/opt/openrobots/sbin:/sbin:/bin:/usr/sbin:/usr/bin' LD_LIBRARY_PATH='' /usr/pkg/bin/cmake -DCMAKE_INSTALL_LIBDIR=lib -DBUILD_PYTHON_INTERFACE=ON -DINSTALL_DOCUMENTATION=OFF -DBoost_PYTHON_LIBRARY=/usr/pkg/lib/libboost_python27.so -DBoost_PYTHON_LIBRARY_RELEASE=/usr/pkg/lib/libboost_python27.so -DBoost_PYTHON_LIBRARY_DEBUG=/usr/pkg/lib/libboost_python27.so -DBUILD_WITH_COLLISION_SUPPORT=ON '-DBOOST_INCLUDEDIR=/usr/pkg/include' '-DBOOST_LIBRARYDIR=/usr/pkg/lib' -DPYTHON_EXECUTABLE=/usr/pkg/bin/python2.7 -DPYTHON_INCLUDE_DIR=/usr/pkg/include/python2.7/ -DPYTHON_INCLUDE_DIR2=/usr/pkg/include/python2.7/ -DPYTHON_LIBRARY=/usr/pkg/lib/libpython2.7.so '-DCMAKE_MODULE_PATH=' '-DCMAKE_PREFIX_PATH=' --no-warn-unused-cli -DUNIX=1 -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX:PATH=/opt/openrobots -DCMAKE_INSTALL_RPATH:PATH=/opt/openrobots/lib -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE CMAKE_EXE_LINKER_FLAGS='-L/usr/pkg/lib -Wl,-rpath,/usr/pkg/lib ' -DCMAKE_MAKE_PROGRAM=/usr/pkg/bin/gmake -DCMAKE_C_FLAGS='-I/usr/pkg/include -pipe -O3 -DNDEBUG' -DCMAKE_C_FLAGS_DEBUG= -DCMAKE_C_FLAGS_RELEASE= -DCMAKE_CXX_FLAGS='-I/usr/pkg/include -pipe -O3 -DNDEBUG' -DCMAKE_CXX_FLAGS_DEBUG= -DCMAKE_CXX_FLAGS_RELEASE= -DPKGINFODIR=info -DPKGMANDIR=man .; Not searching for unused variables given on the command line. -- The C compiler identification is GNU 5.5.0 -- The CXX compiler identification is GNU 5.5.0 -- Check for working C compiler: /usr/bin/gcc -- Check for working C compiler: /usr/bin/gcc -- works -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Detecting C compile features -- Detecting C compile features - done -- Check for working CXX compiler: /usr/bin/g++ -- Check for working CXX compiler: /usr/bin/g++ -- works -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Detecting CXX compile features -- Detecting CXX compile features - done -- Found PkgConfig: /usr/pkg/bin/pkg-config (found version "1.4.1") -- Performing Test R-pedantic -- Performing Test R-pedantic - Success -- Performing Test R-Wno-long-long -- Performing Test R-Wno-long-long - Success -- Performing Test R-Wall -- Performing Test R-Wall - Success -- Performing Test R-Wextra -- Performing Test R-Wextra - Success -- Performing Test R-Wcast-align -- Performing Test R-Wcast-align - Success -- Performing Test R-Wcast-qual -- Performing Test R-Wcast-qual - Success -- Performing Test R-Wformat -- Performing Test R-Wformat - Success -- Performing Test R-Wwrite-strings -- Performing Test R-Wwrite-strings - Success -- Performing Test R-Wconversion -- Performing Test R-Wconversion - Success -- Found Doxygen: /usr/pkg/bin/doxygen (found version "1.8.13") found components: doxygen dot -- eigen3 >= 3.0.5 is required. -- Checking for module 'eigen3 >= 3.0.5' -- Found eigen3 , version 3.3.4 -- Pkg-config module eigen3 v3.3.4 has been detected with success. -- pinocchio >= 2.1.1 is required. -- Checking for module 'pinocchio >= 2.1.1' -- Found pinocchio , version 2.1.3 -- Pkg-config module pinocchio v2.1.3 has been detected with success. -- urdfdom >= 0.2.0 is required. -- Checking for module 'urdfdom >= 0.2.0' -- Found urdfdom , version 1.0.3 -- Pkg-config module urdfdom v1.0.3 has been detected with success. -- hpp-fcl >= 1.0.0 is required. -- Checking for module 'hpp-fcl >= 1.0.0' -- Found hpp-fcl , version 1.1.1 -- Pkg-config module hpp-fcl v1.1.1 has been detected with success. -- Found PythonInterp: /usr/pkg/bin/python2.7 (found version "2.7.15") -- PythonInterp: /usr/pkg/bin/python2.7 -- Found PythonLibs: /usr/pkg/lib/libpython2.7.so (found version "2.7.15") -- PythonLibraries: /usr/pkg/lib/libpython2.7.so -- PythonLibraryDirs: /usr/pkg/lib -- PythonLibVersionString: 2.7.15 -- Boost version: 1.67.0 CMake Warning (dev) at CMakeLists.txt:166 (SEARCH_FOR_BOOST): A logical block opening on the line /local/robotpkg/var/tmp/robotpkg/math/py-pinocchio/work/pinocchio-2.1.3/cmake/boost.cmake:60 (IF) closes on the line /local/robotpkg/var/tmp/robotpkg/math/py-pinocchio/work/pinocchio-2.1.3/cmake/boost.cmake:102 (ENDIF) with mis-matching arguments. This warning is for project developers. Use -Wno-dev to suppress it. -- Boost version: 1.67.0 -- Found the following Boost libraries: -- python -- Boost_PYTHON_LIBRARY: /usr/pkg/lib/libboost_python27.so -- eigenpy >= 1.4.4 is required. -- Checking for module 'eigenpy >= 1.4.4' -- Found eigenpy , version 1.5.1 -- Pkg-config module eigenpy v1.5.1 has been detected with success. -- Doxygen rendering: using MathJax backend -- Configuring done -- Generating done -- Build files have been written to: /local/robotpkg/var/tmp/robotpkg/math/py-pinocchio/work/pinocchio-2.1.3